Skip to main content
GET
/
audience
/
contacts
/
list
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
    "page": 1,
    "limit": 10
}

response = client.audience.get_contacts(**payload)
print(response)
{
  "contact_list": [
    {
      "id": "69f9a9a1c2647606b8c43154",
      "name": "Ava Patel",
      "email": "ava.patel@example.com",
      "phone": "+1 5551234567",
      "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
      "created_at": "2026-05-05 08:26:09.655000"
    }
  ],
  "pagination": {
    "total": 1,
    "page": 1,
    "per_page": 10,
    "total_pages": 1,
    "has_next": false,
    "has_prev": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Query Parameters

audience_id
string
default:597b3dde-9169-4017-800d-f97a5fabebe3
required

Audience ID

Example:

"597b3dde-9169-4017-800d-f97a5fabebe3"

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

limit
integer
default:10

Records per page

Required range: 1 <= x <= 100
Example:

10

Response

Audience contacts returned

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.